Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## turtlekit.simulations.gameoflife
Class LifeViewer2

    java.lang.Object
      madkit.kernel.AbstractAgent
          madkit.kernel.Watcher
              turtlekit.kernel.Observer
                  turtlekit.kernel.Viewer
                      turtlekit.simulations.gameoflife.LifeViewer2

All Implemented Interfaces:
  java.io.Serializable, ReferenceableAgent

    public class LifeViewer2

extends Viewer

LifeViewer overrides the paintPatch method in order to adjust the onscreen color of a patch

Version:
  1.1 23/02/2001
Author:
  Fabien MICHEL
See Also:
  Serialized Form

Field Summary

Fields inherited from class turtlekit.kernel.Observer
`envHeight, envWidth, patchGrid`

Constructor Summary
`LifeViewer2()`

Method Summary
`void` | `paintPatch(java.awt.Graphics g, Patch p, int x, int y, int CellSize)` override this method if you want an other patch graphic representation giving an on screen location (x,y), a patch p to draw and a reserved on screen patch size: a square of pixels with a side of cellS.

Methods inherited from class turtlekit.kernel.Viewer
`display, getFlash, getFlashStepSize, getRedrawAll, getShow, initGUI, paintTurtle, setFlash, setFlashStepSize, setRedrawAll, setShow, setup`

Methods inherited from class turtlekit.kernel.Observer
`activate, getSimulationGroup, watch`

Methods inherited from class madkit.kernel.Watcher
`addProbe, addProbe, end, getProbes, removeAllProbes, removeProbe, update`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, disposeMyGUI, foundGroup, getAddress, getAgentInformation, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, receiveMessage, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LifeViewer2

    public LifeViewer2()

Method Detail

### paintPatch

    public void paintPatch(java.awt.Graphics g,
                           Patch p,
                           int x,
                           int y,
                           int CellSize)

  Description copied from class: `Viewer`
  override this method if you want an other patch graphic representation giving an on screen location (x,y), a patch p to draw and a reserved on screen patch size: a square of pixels with a side of cellS. As the simulation display is optimized, be sure that you draw a figure that is contained in the reserved square or set the redrawAll variable to true (in the property box or in constructor so the patches are all repainted first, then the turtles (avoid to leave turtle trace on the floor, but realy slow down the simulation). By example you can use the patch access methods to decide the color to display for this. default: g.setColor(p.getColor()); g.fillRect(x,y,cellS,cellS);

  Overrides:
    `paintPatch` in class `Viewer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.